Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGMessage

    public interface SAGMessage

This interface represents a generic SAG message. An external SAG application always uses this message to communicate. It is used for both request and response messages; however, some fields are only appropriate for one type of message. It wraps jni Message object to hide jni from users.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:22 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGMessage.SAGEnvelope` It is for SAG envelope.
`static interface` | `SAGMessage.SAGLetter` It is for SAG letter.

Method Summary
`SAGMessage.SAGEnvelope` | `getEnvelope()` Gets the envelope of the message.
`java.lang.String` | `getLetter()` Gets the letter contents of the message.
`java.lang.String` | `getSwPrimitiveName()` Gets the name of snl primitive contained in letter.
`void` | `setEnvelope(SAGMessage.SAGEnvelope envelope)` Sets the envelope of the message.
`void` | `setLetter(java.lang.String buffer)` Sets the letter contents of the message.

Method Detail

### setEnvelope

    void setEnvelope(SAGMessage.SAGEnvelope envelope)

  Sets the envelope of the message.

  Parameters:
    `envelope` - The envelope object.

### getEnvelope

    SAGMessage.SAGEnvelope getEnvelope()

  Gets the envelope of the message.

  Parameters:
    None.

  Returns:
    `SAGEnvelope` - Returns the envelope object.
  Throws:
    None.

### setLetter

    void setLetter(java.lang.String buffer)

  Sets the letter contents of the message. The contents of the letter depends on the MsgFormat field. The value string may be an XML string that conforms to SNL or SAG primitives.

  Parameters:
    `buffer` - the contents of the letter.

### getLetter

    java.lang.String getLetter()

  Gets the letter contents of the message. The contents of the letter depends on the MsgFormat field. The value string may be an XML string that conforms to SNL or SAG primitives.

  Parameters:
    None.

  Returns:
    `String` - Returns the contents of the letter.
  Throws:
    None.

### getSwPrimitiveName

    java.lang.String getSwPrimitiveName()

  Gets the name of snl primitive contained in letter. For example, SwInt:HandleRequest, Sw:ExchangeFileResponse, etc.

  Parameters:
    None.

  Returns:
    `String` - Returns the snl primitive name.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.